import {Component} from '@angular/core';
import {PlayerRegistrationData, ServerService} from "@core/server";
import {MatFormFieldModule} from '@angular/material/form-field';
import {FormBuilder, FormGroup, FormsModule, ReactiveFormsModule} from '@angular/forms';
import {MatSelectModule} from '@angular/material/select';
import {MatInputModule} from '@angular/material/input';
import {MatButtonModule} from "@angular/material/button";
import {NotificationService, NotificationType} from "@core/notification/notification.service";
import {isEmpty, max} from "rxjs";

@Component({
    selector: 'app-registration-form',
    imports: [MatFormFieldModule, FormsModule, MatSelectModule, MatInputModule, MatButtonModule, ReactiveFormsModule],
    templateUrl: './registration-form.component.html',
    styleUrl: './registration-form.component.scss',
    standalone: true
})
export class RegistrationFormComponent {
    registrationForm: FormGroup;


    constructor(private serverApi: ServerService, private formBuilder: FormBuilder, private notifications: NotificationService) {
        this.registrationForm = this.formBuilder.group<PlayerRegistrationData>({
            username: "",
            password: "",
        })
        //this.registrationForm.addValidators(isEmpty);
    }

    registerPlayer() {
        if (!this.registrationForm.valid) {
            this.notifications.publish("This form is invalid!", NotificationType.Error);
            return;
        }
        this.serverApi
            .playerRegister(this.registrationForm.value)
            .subscribe((response) => {
                console.log(response);
            });
    }

}
